##########################################################
#
#   Makefile for PMlib
#
#  (C)Microform AB 1999-02-15 J.Kjellander
#
##########################################################


# Include files

INCFILES = ../include/PM.h         \
           ../include/pmstru.h     \
           ../include/mbsrout.h    \
           ../include/stdef.h      \
           ../include/indef.h      \
           ../include/ppdef.h      \
           ../../AN/include/AN.h


OBJS = ../lib/PMlib.a(eval1.o)     \
       ../lib/PMlib.a(eval2.o)     \
       ../lib/PMlib.a(eval3.o)     \
       ../lib/PMlib.a(eval4.o)     \
       ../lib/PMlib.a(eval5.o)     \
       ../lib/PMlib.a(eval6.o)     \
       ../lib/PMlib.a(eval7.o)     \
       ../lib/PMlib.a(eval8.o)     \
       ../lib/PMlib.a(eval9.o)     \
       ../lib/PMlib.a(eval10.o)    \
       ../lib/PMlib.a(eval11.o)    \
       ../lib/PMlib.a(eval12.o)    \
       ../lib/PMlib.a(eval13.o)    \
       ../lib/PMlib.a(eval14.o)    \
       ../lib/PMlib.a(eval15.o)    \
       ../lib/PMlib.a(eval16.o)    \
       ../lib/PMlib.a(inac10.o)    \
       ../lib/PMlib.a(inac11.o)    \
       ../lib/PMlib.a(inac12.o)    \
       ../lib/PMlib.a(inac13.o)    \
       ../lib/PMlib.a(inac14.o)    \
       ../lib/PMlib.a(inac17.o)    \
       ../lib/PMlib.a(inac18.o)    \
       ../lib/PMlib.a(inac19.o)    \
       ../lib/PMlib.a(inac20.o)    \
       ../lib/PMlib.a(inacc.o)     \
       ../lib/PMlib.a(infunc.o)    \
       ../lib/PMlib.a(ingeop.o)    \
       ../lib/PMlib.a(ingpar.o)    \
       ../lib/PMlib.a(innpar.o)    \
       ../lib/PMlib.a(inproc.o)    \
       ../lib/PMlib.a(inrts.o)     \
       ../lib/PMlib.a(pmac1.o)     \
       ../lib/PMlib.a(pmac2.o)     \
       ../lib/PMlib.a(pmac3.o)     \
       ../lib/PMlib.a(pmac4.o)     \
       ../lib/PMlib.a(pmac5.o)     \
       ../lib/PMlib.a(pmac6.o)     \
       ../lib/PMlib.a(pmallo.o)    \
       ../lib/PMlib.a(pmlist.o)    \
       ../lib/PMlib.a(pretty.o)    \
       ../lib/PMlib.a(stacc.o)     \
       ../lib/PMlib.a(stac10.o)    \
       ../lib/PMlib.a(calext.o)    \
       ../lib/PMlib.a(anaexp.o)    \
       ../lib/PMlib.a(anascan.o)   \
       ../lib/PMlib.a(annaml.o)    \
       ../lib/PMlib.a(anpar11.o)   \
       ../lib/PMlib.a(anpar12.o)   \
       ../lib/PMlib.a(anpar31.o)   \
       ../lib/PMlib.a(anpar51.o)   \
       ../lib/PMlib.a(anpar52.o)   \
       ../lib/PMlib.a(anlog.o)

# Targets

distr : $(OBJS)

debug : $(OBJS)

clean:
	$(RM) *.o ../lib/PMlib.a

# Rules

../lib/PMlib.a(eval1.o): eval1.c $(INCFILES)
	$(COMPILE) eval1.c
	ar r ../lib/PMlib.a eval1.o
	$(RM) eval1.o

../lib/PMlib.a(eval2.o): eval2.c $(INCFILES)
	$(COMPILE) eval2.c
	ar r ../lib/PMlib.a eval2.o
	$(RM) eval2.o

../lib/PMlib.a(eval3.o): eval3.c $(INCFILES)
	$(COMPILE) eval3.c
	ar r ../lib/PMlib.a eval3.o
	$(RM) eval3.o

../lib/PMlib.a(eval4.o): eval4.c $(INCFILES)
	$(COMPILE) eval4.c
	ar r ../lib/PMlib.a eval4.o
	$(RM) eval4.o

../lib/PMlib.a(eval5.o): eval5.c $(INCFILES)
	$(COMPILE) eval5.c
	ar r ../lib/PMlib.a eval5.o
	$(RM) eval5.o

../lib/PMlib.a(eval6.o): eval6.c $(INCFILES)
	$(COMPILE) eval6.c
	ar r ../lib/PMlib.a eval6.o
	$(RM) eval6.o

../lib/PMlib.a(eval7.o): eval7.c $(INCFILES)
	$(COMPILE) eval7.c
	ar r ../lib/PMlib.a eval7.o
	$(RM) eval7.o

../lib/PMlib.a(eval8.o): eval8.c $(INCFILES)
	$(COMPILE) eval8.c
	ar r ../lib/PMlib.a eval8.o
	$(RM) eval8.o

../lib/PMlib.a(eval9.o): eval9.c $(INCFILES)
	$(COMPILE) eval9.c
	ar r ../lib/PMlib.a eval9.o
	$(RM) eval9.o

../lib/PMlib.a(eval10.o): eval10.c $(INCFILES)
	$(COMPILE) eval10.c
	ar r ../lib/PMlib.a eval10.o
	$(RM) eval10.o

../lib/PMlib.a(eval11.o): eval11.c $(INCFILES)
	$(COMPILE) eval11.c
	ar r ../lib/PMlib.a eval11.o
	$(RM) eval11.o

../lib/PMlib.a(eval12.o): eval12.c $(INCFILES)
	$(COMPILE) eval12.c
	ar r ../lib/PMlib.a eval12.o
	$(RM) eval12.o

../lib/PMlib.a(eval13.o): eval13.c $(INCFILES)
	$(COMPILE) eval13.c
	ar r ../lib/PMlib.a eval13.o
	$(RM) eval13.o

../lib/PMlib.a(eval14.o): eval14.c $(INCFILES)
	$(COMPILE) eval14.c
	ar r ../lib/PMlib.a eval14.o
	$(RM) eval14.o

../lib/PMlib.a(eval15.o): eval15.c $(INCFILES)
	$(COMPILE) eval15.c
	ar r ../lib/PMlib.a eval15.o
	$(RM) eval15.o

../lib/PMlib.a(eval16.o): eval16.c $(INCFILES)
	$(COMPILE) eval16.c
	ar r ../lib/PMlib.a eval16.o
	$(RM) eval16.o

../lib/PMlib.a(inac10.o): inac10.c $(INCFILES)
	$(COMPILE) inac10.c
	ar r ../lib/PMlib.a inac10.o
	$(RM) inac10.o

../lib/PMlib.a(inac11.o): inac11.c $(INCFILES)
	$(COMPILE) inac11.c
	ar r ../lib/PMlib.a inac11.o
	$(RM) inac11.o

../lib/PMlib.a(inac12.o): inac12.c $(INCFILES)
	$(COMPILE) inac12.c
	ar r ../lib/PMlib.a inac12.o
	$(RM) inac12.o

../lib/PMlib.a(inac13.o): inac13.c $(INCFILES)
	$(COMPILE) inac13.c
	ar r ../lib/PMlib.a inac13.o
	$(RM) inac13.o

../lib/PMlib.a(inac14.o): inac14.c $(INCFILES)
	$(COMPILE) inac14.c
	ar r ../lib/PMlib.a inac14.o
	$(RM) inac14.o

../lib/PMlib.a(inac17.o): inac17.c $(INCFILES)
	$(COMPILE) inac17.c
	ar r ../lib/PMlib.a inac17.o
	$(RM) inac17.o

../lib/PMlib.a(inac18.o): inac18.c $(INCFILES)
	$(COMPILE) inac18.c
	ar r ../lib/PMlib.a inac18.o
	$(RM) inac18.o

../lib/PMlib.a(inac19.o): inac19.c $(INCFILES)
	$(COMPILE) inac19.c
	ar r ../lib/PMlib.a inac19.o
	$(RM) inac19.o

../lib/PMlib.a(inac20.o): inac20.c $(INCFILES)
	$(COMPILE) inac20.c
	ar r ../lib/PMlib.a inac20.o
	$(RM) inac20.o

../lib/PMlib.a(inacc.o): inacc.c $(INCFILES)
	$(COMPILE) inacc.c
	ar r ../lib/PMlib.a inacc.o
	$(RM) inacc.o

../lib/PMlib.a(infunc.o): infunc.c $(INCFILES)
	$(COMPILE) infunc.c
	ar r ../lib/PMlib.a infunc.o
	$(RM) infunc.o

../lib/PMlib.a(ingeop.o): ingeop.c $(INCFILES)
	$(COMPILE) ingeop.c
	ar r ../lib/PMlib.a ingeop.o
	$(RM) ingeop.o

../lib/PMlib.a(ingpar.o): ingpar.c $(INCFILES)
	$(COMPILE) ingpar.c
	ar r ../lib/PMlib.a ingpar.o
	$(RM) ingpar.o

../lib/PMlib.a(innpar.o): innpar.c $(INCFILES)
	$(COMPILE) innpar.c
	ar r ../lib/PMlib.a innpar.o
	$(RM) innpar.o

../lib/PMlib.a(inproc.o): inproc.c $(INCFILES)
	$(COMPILE) inproc.c
	ar r ../lib/PMlib.a inproc.o
	$(RM) inproc.o

../lib/PMlib.a(inrts.o): inrts.c $(INCFILES)
	$(COMPILE) inrts.c
	ar r ../lib/PMlib.a inrts.o
	$(RM) inrts.o

../lib/PMlib.a(pmac1.o): pmac1.c $(INCFILES)
	$(COMPILE) pmac1.c
	ar r ../lib/PMlib.a pmac1.o
	$(RM) pmac1.o

../lib/PMlib.a(pmac2.o): pmac2.c $(INCFILES)
	$(COMPILE) pmac2.c
	ar r ../lib/PMlib.a pmac2.o
	$(RM) pmac2.o

../lib/PMlib.a(pmac3.o): pmac3.c $(INCFILES)
	$(COMPILE) pmac3.c
	ar r ../lib/PMlib.a pmac3.o
	$(RM) pmac3.o

../lib/PMlib.a(pmac4.o): pmac4.c $(INCFILES)
	$(COMPILE) pmac4.c
	ar r ../lib/PMlib.a pmac4.o
	$(RM) pmac4.o

../lib/PMlib.a(pmac5.o): pmac5.c $(INCFILES)
	$(COMPILE) pmac5.c
	ar r ../lib/PMlib.a pmac5.o
	$(RM) pmac5.o

../lib/PMlib.a(pmac6.o): pmac6.c $(INCFILES)
	$(COMPILE) pmac6.c
	ar r ../lib/PMlib.a pmac6.o
	$(RM) pmac6.o

../lib/PMlib.a(pmallo.o): pmallo.c $(INCFILES)
	$(COMPILE) pmallo.c
	ar r ../lib/PMlib.a pmallo.o
	$(RM) pmallo.o

../lib/PMlib.a(pmlist.o): pmlist.c $(INCFILES)
	$(COMPILE) pmlist.c
	ar r ../lib/PMlib.a pmlist.o
	$(RM) pmlist.o

../lib/PMlib.a(pretty.o): pretty.c $(INCFILES)
	$(COMPILE) pretty.c
	ar r ../lib/PMlib.a pretty.o
	$(RM) pretty.o

../lib/PMlib.a(stacc.o): stacc.c $(INCFILES)
	$(COMPILE) stacc.c
	ar r ../lib/PMlib.a stacc.o
	$(RM) stacc.o

../lib/PMlib.a(stac10.o): stac10.c $(INCFILES) ../include/formpar.h
	$(COMPILE) stac10.c
	ar r ../lib/PMlib.a stac10.o
	$(RM) stac10.o

../lib/PMlib.a(calext.o): calext.c $(INCFILES)
	$(COMPILE) calext.c
	ar r ../lib/PMlib.a calext.o
	$(RM) calext.o

../lib/PMlib.a(anaexp.o): ../../AN/src/anaexp.c $(INCFILES)
	$(COMPILE) ../../AN/src/anaexp.c
	ar r ../lib/PMlib.a anaexp.o
	$(RM) anaexp.o

../lib/PMlib.a(anascan.o): ../../AN/src/anascan.c $(INCFILES)
	$(COMPILE) ../../AN/src/anascan.c
	ar r ../lib/PMlib.a anascan.o
	$(RM) anascan.o

../lib/PMlib.a(annaml.o): ../../AN/src/annaml.c $(INCFILES)
	$(COMPILE) ../../AN/src/annaml.c
	ar r ../lib/PMlib.a annaml.o
	$(RM) annaml.o

../lib/PMlib.a(anpar11.o): ../../AN/src/anpar11.c $(INCFILES)
	$(COMPILE) ../../AN/src/anpar11.c
	ar r ../lib/PMlib.a anpar11.o
	$(RM) anpar11.o

../lib/PMlib.a(anpar12.o): ../../AN/src/anpar12.c $(INCFILES)
	$(COMPILE) ../../AN/src/anpar12.c
	ar r ../lib/PMlib.a anpar12.o
	$(RM) anpar12.o

../lib/PMlib.a(anpar31.o): ../../AN/src/anpar31.c $(INCFILES)
	$(COMPILE) ../../AN/src/anpar31.c
	ar r ../lib/PMlib.a anpar31.o
	$(RM) anpar31.o

../lib/PMlib.a(anpar51.o): ../../AN/src/anpar51.c $(INCFILES)
	$(COMPILE) ../../AN/src/anpar51.c
	ar r ../lib/PMlib.a anpar51.o
	$(RM) anpar51.o

../lib/PMlib.a(anpar52.o): ../../AN/src/anpar52.c $(INCFILES)
	$(COMPILE) ../../AN/src/anpar52.c
	ar r ../lib/PMlib.a anpar52.o
	$(RM) anpar52.o

../lib/PMlib.a(anlog.o): ../../AN/src/anlog.c $(INCFILES)
	$(COMPILE) ../../AN/src/anlog.c
	ar r ../lib/PMlib.a anlog.o
	$(RM) anlog.o

################################################################
